package de.tu_dresden.diplom.richter_mirko_mat2628335.witness;

import org.apache.log4j.Logger;
import junit.framework.TestSuite;
import de.tu_dresden.diplom.richter_mirko_mat2628335.witness.dependency._TSDependency;
import de.tu_dresden.diplom.richter_mirko_mat2628335.witness.context._TSContext;
import de.tu_dresden.diplom.richter_mirko_mat2628335.witness.process._TSProcess;
import de.tu_dresden.diplom.richter_mirko_mat2628335.witness.account._TSAccount;

/**
 * 
 */
public class _TSWitness {

   private static final Logger logger = Logger.getLogger(_TSWitness.class);

   public static TestSuite suite(){
      TestSuite result = new TestSuite("de.tu_dresden.diplom.richter_mirko_mat2628335.witness");
      result.addTest(_TSDependency.suite());
      result.addTest(_TSContext.suite());
      result.addTest(_TSProcess.suite());
      result.addTest(_TSAccount.suite());
      return result;
   }

}
